Inconsistent value for "suppressed" field in API
Closed, ResolvedPublic

Description

In the revision API's jsonfm output, suppressed revisions are marked with "suppressed": "". The imageinfo API uses "suppressed": true.

Tgr created this task.Mar 3 2015, 10:54 PM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr added a project: MediaWiki-API.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 10:54 PM
Anomie added a subscriber: Anomie.

Sigh. Yeah, that's wrong. Gerrit change 182858 will indirectly fix it, but it's easy enough otherwise if someone doesn't want to wait.

Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Mar 4 2015, 2:14 PM
Aklapper triaged this task as Low priority.Mar 6 2015, 10:21 AM
Umherirrender closed this task as Resolved.Apr 17 2015, 7:09 PM
Umherirrender claimed this task.
Umherirrender added a subscriber: Umherirrender.

Sigh. Yeah, that's wrong. Gerrit change 182858 will indirectly fix it, but it's easy enough otherwise if someone doesn't want to wait.

Now merged, will be part of 1.26wmf3